petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMatSolve

Solves A X = B, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMatSolve(Mat A,Mat B,Mat X)

Neighbor-wise Collective on Mat Many br

### Input Parameters

| A | - the factored matrix Many br
| B | - the right-hand-side matrix (dense matrix) Many br

### Output Parameter

X -the result matrix (dense matrix) Many br

### Notes

The matrices b and x cannot be the same. I.e., one cannot Many brcall MatMatSolve(A,x,x). Many br

### Notes

Most users should usually employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). However KSP can only solve for one vector (column of X) Many brat a time. Many br

When using SuperLU_Dist as a parallel solver PETSc will use the SuperLU_Dist functionality to solve multiple right hand sides simultaneously. For MUMPS Many brit calls a separate solve for each right hand side since MUMPS does not yet support distributed right hand sides. Many br

Since the resulting matrix X must always be dense we do not support sparse representation of the matrix B. Many br

Many br

### See Also

MatMatSolveAdd(), MatMatSolveTranspose(), MatMatSolveTransposeAdd(), MatLUFactor(), MatCholeskyFactor()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages